# osgUtil::RenderToTextureStage Class Reference

RenderStage which copies the final image to an attached texture or image. More...

Inheritance diagram for osgUtil::RenderToTextureStage:

[legend]
List of all members.

## Public Member Functions

| RenderToTextureStage ()
virtual osg::Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual osg::Object * | clone (const osg::CopyOp &) const
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual void | reset ()
void | setTexture (osg::Texture2D *texture)
osg::Texture2D * | getTexture ()
void | setImage (osg::Image *image)
osg::Image * | getImage ()
virtual void | draw (osg::State &state, RenderLeaf *&previous)

## Protected Member Functions

virtual | ~RenderToTextureStage ()

## Protected Attributes

osg::ref_ptr< osg::Texture2D > | _texture
osg::ref_ptr< osg::Image > | _image

## Detailed Description

RenderStage which copies the final image to an attached texture or image.

Generally used as a pre-rendering stage.

## Constructor & Destructor Documentation

RenderToTextureStage::RenderToTextureStage | ( |  | ) |

RenderToTextureStage::~RenderToTextureStage | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual const char* osgUtil::RenderToTextureStage::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osgUtil::RenderStage.

virtual osg::Object* osgUtil::RenderToTextureStage::clone | ( | const osg::CopyOp & |  | ) | const`[inline, virtual]`

| Reimplemented from osgUtil::RenderStage.

virtual osg::Object* osgUtil::RenderToTextureStage::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Reimplemented from osgUtil::RenderStage.

void RenderToTextureStage::draw | ( | osg::State & | state,
|  | RenderLeaf *& | previous
| ) | `[virtual]`

| Reimplemented from osgUtil::RenderStage.

osg::Image* osgUtil::RenderToTextureStage::getImage | ( |  | ) | `[inline]`

osg::Texture2D* osgUtil::RenderToTextureStage::getTexture | ( |  | ) | `[inline]`

virtual bool osgUtil::RenderToTextureStage::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osgUtil::RenderStage.

virtual const char* osgUtil::RenderToTextureStage::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osgUtil::RenderBin.

void RenderToTextureStage::reset | ( |  | ) | `[virtual]`

| Reimplemented from osgUtil::RenderStage.

void osgUtil::RenderToTextureStage::setImage | ( | osg::Image * | image | ) | `[inline]`

void osgUtil::RenderToTextureStage::setTexture | ( | osg::Texture2D * | texture | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<osg::Image> osgUtil::RenderToTextureStage::_image `[protected]`

osg::ref_ptr<osg::Texture2D> osgUtil::RenderToTextureStage::_texture `[protected]`

The documentation for this class was generated from the following files:

- RenderToTextureStage
- src/osgUtil/RenderToTextureStage.cpp